.form-block__section {
    display: flex;
    flex-direction: column;
    gap: 32px;
}
.form-block__row {
    display: flex;
    flex-wrap: wrap;
    margin: 0 -16px;
    row-gap: 16px;
}
.form-block__col {
    padding: 0 16px;
    flex: 1 1 auto;
}
.form-block__col_auto {
    order: -1;
}
@media screen and (min-width: 576px) {
    .form-block__row {
        flex-wrap: nowrap;
    }
    .form-block__col_auto {
        order: inherit;
        flex: 0 0 auto;
    }
}

.form-group {
    position: relative;
}
.form-group_animated .form-label {
    position: absolute;
    left: 33px;
    bottom: 100%;
    padding: 0 8px;
    background: var(--color-white);
    transform: translate(0, 37px);
    pointer-events: none;
}
.form-group_animated .form-control:focus + .form-label,
.form-group_animated .form-control_not_empty + .form-label {
    font-size: 10px;
    transform: translate(0, 7px);
}

.form-label {
    display: inline-block;
    font-weight: 500;
    font-size: 12px;
    line-height: 1.3;
    letter-spacing: 1px;
    text-transform: uppercase;
    transition: font-size var(--animate), transform var(--animate);
}

.form-control {
    display: block;
    width: 100%;
    height: 56px;
    border: 1px solid var(--color-grey);
    border-radius: 0;
    outline: none;
    font-weight: 400;
    font-size: 16px;
    line-height: 1.5;
    color: var(--color-black);
    padding: 12px 40px;
    background: var(--color-white);
    transition: border-color var(--animate);
}
.form-control:focus {
    border-color: var(--color-black);
}
textarea.form-control {
    min-height: 120px;
    resize: vertical;
}

.form-helper {
    font-weight: 400;
    font-size: 12px;
    line-height: 1.5;
    color: var(--color-grey-medium);
}
.form-helper a:not([class]) {
    color: var(--color-grey-medium);
    text-decoration: underline;
}
.form-helper a:not([class]):hover {
    text-decoration-color: transparent;
}

.form-error {
    position: absolute;
    top: 100%;
    left: 0;
    margin-top: 2px;
    font-weight: 400;
    font-size: 12px;
    line-height: 1.1;
    color: var(--color-red);
}